package org.springblade.modules.sqjw.jwtdzrq.service.impl;

import org.springblade.modules.sqjw.jwtdzrq.entity.JwtdZrqEntity;
import org.springblade.modules.sqjw.jwtdzrq.vo.JwtdZrqVO;
import org.springblade.modules.sqjw.jwtdzrq.excel.JwtdZrqExcel;
import org.springblade.modules.sqjw.jwtdzrq.mapper.JwtdZrqMapper;
import org.springblade.modules.sqjw.jwtdzrq.service.IJwtdZrqService;
import org.springblade.modules.system.entity.User;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;

import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * 警务团队-警务责任区 服务实现类
 *
 * @author BladeX
 * @since 2024-04-03
 */
@Service
public class JwtdZrqServiceImpl extends BaseServiceImpl<JwtdZrqMapper, JwtdZrqEntity> implements IJwtdZrqService {

	@Override
	public IPage<JwtdZrqVO> selectJwtdZrqPage(IPage<JwtdZrqVO> page, JwtdZrqVO jwtdzrq) {
		return page.setRecords(baseMapper.selectJwtdZrqPage(page, jwtdzrq));
	}

	@Override
	public List<JwtdZrqExcel> exportJwtdZrq(Wrapper<JwtdZrqEntity> queryWrapper) {
		List<JwtdZrqExcel> jwtdzrqList = baseMapper.exportJwtdZrq(queryWrapper);
		return jwtdzrqList;
	}

	@Override
	public List<JwtdZrqVO> selectJwtdZrqList(Map<String, String> params) {
		return baseMapper.selectJwtdZrqList(params);
	}

	@Override
	public List<User> getMjList(Long sssqbm) {
		return baseMapper.getMjList(sssqbm);
	}

	@Override
	public List<String> getDkfw(String deptId) {
		return baseMapper.getDkfw(deptId);
	}
}
